Bug 1791280 - e2e-metal: Installation fails to complete pending on DaemonSet \"openshift-multus/multus\"
Summary: e2e-metal: Installation fails to complete pending on DaemonSet \"openshift-mu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Jonathan Lebon
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1789014
TreeView+ depends on / blocked
 
Reported: 2020-01-15 12:30 UTC by Scott Dodson
Modified: 2020-05-04 11:25 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, nodes could run out of space during bootstrapping due to services which grow the filesystem running too late. The ordering has been fixed now and nodes should ordinarily no longer run out of space during the bootstrapping phase.
Clone Of: 1789014
Environment:
Last Closed: 2020-05-04 11:24:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2945 None closed Bug 1791280: Bump RHCOS to 44.81.202001171431.0 2020-10-29 06:38:30 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:25:16 UTC

Comment 4 Michael Nguyen 2020-02-03 20:33:38 UTC
Verified on 4.4.0-0.nightly-2020-02-03-134035

Also searched for the errors on ci-search and did not find the daemonset error.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-02-03-134035   True        False         35m     Cluster version is 4.4.0-0.nightly-2020-02-03-134035
$ oc debug node/ci-ln-rbvr2-m-1.c.openshift-gce-devel-ci.internal
Starting pod/ci-ln-rbvr2-m-1copenshift-gce-devel-ciinternal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
chroot /host
sh-4.4#

sh-4.4# systemctl cat rhcos-growpart.service 
# /usr/lib/systemd/system/rhcos-growpart.service
[Unit]
Description=Resize root partition
ConditionPathExists=!/run/ostree-live
ConditionPathExists=!/var/lib/coreos-growpart.stamp

Conflicts=coreos-growpart.service

# Wait for networking since the device may be encrypted for
# NBDE via Clevis/Tang.
After=network-online.target
Wants=network-online.target

# List a couple of space-hungry services we want to make sure we run *before*.
# This is a hack; in the future we'll just resize in the initramfs like on FCOS.

Before=machine-config-daemon-firstboot.service
# This shouldn't be enabled in the future, though for now, make sure we run before it. See:
# https://github.com/openshift/machine-config-operator/pull/1366
Before=machine-config-daemon-host.service
# XXX: do we actually need this? cargo-culted from 9e2d724
Before=sshd.service

[Service]
Type=oneshot
ExecStart=/usr/libexec/rhcos-growpart /
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target

Comment 6 errata-xmlrpc 2020-05-04 11:24:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.